%define name xephem
%define version 3.2.3
%define release 2mdk

Summary: An X Window System/Motif based interactive astronomy program.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: distributable
Group: Sciences/Astronomy
Source: %{name}-%{version}.tar.bz2
Url: http://www.clearskyinstitute.com/xephem/xephem.html
Source1: xephem.wmconfig
Patch0: xephem-3.2.2.patch.bz2
Requires: lesstif
BuildPrereq: lesstif-devel
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
Xephem is an interactive astronomy program for X Windows systems.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1

%build
cd libastro ; xmkmf ; make CDEBUGFLAGS="$RPM_OPT_FLAGS -fno-exceptions -fno-rtti -Os" CXXDEBUGFLAGS="$RPM_OPT_FLAGS -fno-exceptions -fno-rtti -fno-check-new -Os" ; cd ..
cd GUI/xephem ; xmkmf ; make CDEBUGFLAGS="$RPM_OPT_FLAGS -fno-exceptions -fno-rtti -Os" CXXDEBUGFLAGS="$RPM_OPT_FLAGS -fno-exceptions -fno-rtti -fno-check-new -Os"; cd ..

%install
make install install.man DESTDIR=$RPM_BUILD_ROOT -C GUI/xephem
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
mkdir -p $RPM_BUILD_ROOT/usr/lib/xephem
cd GUI/xephem
install -c XEphem.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/XEphem
make -C fifos
cp -a tools auxil catalogs fifos $RPM_BUILD_ROOT/usr/lib/xephem/
install -d $RPM_BUILD_ROOT/etc/X11/wmconfig
install -m 644 $RPM_SOURCE_DIR/xephem.wmconfig \
	$RPM_BUILD_ROOT/etc/X11/wmconfig/xephem

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/X11R6/bin/xephem"\
title="Xephem"\
longtitle="astronomy program"\
needs="x11"\
section="Applications/Sciences/Astronomy"
EOF
)
 
%post
%{update_menus}
 
%postun
%{clean_menus} 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config /etc/X11/wmconfig/xephem
/usr/X11R6/bin/xephem
/usr/X11R6/man/man1/*
/usr/X11R6/lib/X11/app-defaults/XEphem
%{_libdir}/xephem/*
%{_menudir}/*

%changelog
* Wed Sep 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.2.3-2mdk
- build release 
- menu

* Tue May 09 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.2.3-1mdk
- fix group
- spec helper fixes


* Tue Jan 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- bzip2 source
- handle RPM_OPT_FLAGS, and while at it, add some flags to reduce size
- strip binaries

* Fri Jan 14 2000 Ngo Than <than@redhat.de>
- updated to 3.2.3

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Mon Jul 26 1999 Tim Powers <timp@redhat.com>
- updated source to 3.2.2
- built for 6.1

* Mon Apr 13 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Wed Oct 14 1998 Michael Maher <mike@redhat.com>
- built package for 5.2 powertools

* Fri May 22 1998 Cristian Gafton <gafton@redhat.com>
- updated to ver. 3.1
- reworked spec file

* Thu Dec  4 1997 Otto Hammersmith <otto@redhat.com>
- tracked down core dump on i386

* Wed Dec  3 1997 Otto Hammersmith <otto@redhat.com>
- fixed nawk problem

* Thu Nov 20 1997 Otto Hammersmith <otto@redhat.com>
- added wmconfig

* Tue Nov 18 1997 Otto Hammersmith <otto@redhat.com>
- built for glibc
- moved buildroot to /var/tmp from /tmp
- removed exclusive arch, since we now have motif for alpha and sparc

* Thu May 01 1997 Michael Fulbright <msf@redhat.com>
- Updated to 3.0 and a changed to build with a BuildRoot
